package com.comp.bpm.beans;

import java.util.Calendar;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

@Entity
@Table(schema="BPM")
@NamedQueries({
	@NamedQuery(name="ProcessInstanceLog.findCount", query="SELECT Count(0) FROM ProcessInstanceLog"),
})
public class ProcessInstanceLog {

	@Id
	private String id;

	@Column(name="start_date")
	private Calendar startDate;

	@Column(name="end_date")
	private Calendar endDate;

	@Column
	private String processId;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Calendar getStartDate() {
		return startDate;
	}

	public void setStartDate(Calendar startDate) {
		this.startDate = startDate;
	}

	public Calendar getEndDate() {
		return endDate;
	}

	public void setEndDate(Calendar endDate) {
		this.endDate = endDate;
	}

	public String getProcessId() {
		return processId;
	}

	public void setProcessId(String processId) {
		this.processId = processId;
	}

}